Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.ares.validation
Interface RunValidator

    public interface RunValidator

A sample validator interface for `Run`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

Method Summary
`boolean` | `validate()`
`boolean` | `validateConstraints(org.eclipse.emf.common.util.EList<Constraint> value)`
`boolean` | `validateFinished(java.util.Date value)`
`boolean` | `validateModel(SContext value)`
`boolean` | `validateParameterization(Model value)`
`boolean` | `validateParameters(org.eclipse.emf.common.util.EList<Parameter> value)`
`boolean` | `validateResult(ResultType value)`
`boolean` | `validateResults(org.eclipse.emf.common.util.EList<ConstraintTest> value)`
`boolean` | `validateStarted(java.util.Date value)`
`boolean` | `validateTest(Model value)`

Method Detail

### validate

    boolean validate()

### validateModel

    boolean validateModel(SContext value)

### validateTest

    boolean validateTest(Model value)

### validateParameterization

    boolean validateParameterization(Model value)

### validateResult

    boolean validateResult(ResultType value)

### validateParameters

    boolean validateParameters(org.eclipse.emf.common.util.EList<Parameter> value)

### validateConstraints

    boolean validateConstraints(org.eclipse.emf.common.util.EList<Constraint> value)

### validateStarted

    boolean validateStarted(java.util.Date value)

### validateFinished

    boolean validateFinished(java.util.Date value)

### validateResults

    boolean validateResults(org.eclipse.emf.common.util.EList<ConstraintTest> value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD